Bug 39688 - glibc 2.2.3 breaks DSOs compiled against glibc 2.0.
Summary: glibc 2.2.3 breaks DSOs compiled against glibc 2.0.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-08 16:18 UTC by hjl
Modified: 2016-11-24 15:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 10:42:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description hjl 2001-05-08 16:18:43 UTC
DSOs compiled against glibc 2.0 may have referenced to unversioned
atexit. But atexit in glibc 2.2.3 is hidden from the static linker. As the
result, you can no longer use those DSOs for the final link with
glibc 2.2.3. See

http://sources.redhat.com/ml/libc-alpha/2001-05/msg00091.html

for possible workaround.

Comment 1 Ulrich Drepper 2004-09-30 10:42:26 UTC
Nothing like this has been necessary.


Note You need to log in before you can comment on or make changes to this bug.